import Vue from "vue";
import VueRouter from "vue-router";

Vue.use(VueRouter);

const routes = [
  {
    path: "/",
    redirect: "/home",
    component: () => import("../components/Home.vue"),
    children: [
      {
        path: "/home",
        component: () => import("../views/home/index.vue"),
        name: "home",
        meta: {
          title: "首页",
          keepAlive: true,
        },
      },
    ],
  },
];

const router = new VueRouter({
  mode: "hash",
  base: process.env.BASE_URL,
  routes,
});

export default router;
